{{- if not .Values.certificates.group.existingSecret -}}
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "nlx-directory-ui.fullName" . }}-group-tls
  labels:
    {{- include "nlx-directory-ui.labels" . | nindent 4 }}
type: kubernetes.io/tls
data:
  tls.crt: {{ (required "Group certificate PEM is required" .Values.certificates.group.certificatePEM) | b64enc | quote }}
  tls.key: {{ (required "Group key PEM is required" .Values.certificates.group.keyPEM) | b64enc | quote }}
{{- end }}
